#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x300d80cf, "module_layout" },
	{ 0xc3d5c39c, "eth_validate_addr" },
	{ 0xa699ce6, "eth_mac_addr" },
	{ 0x5b468226, "usb_deregister" },
	{ 0x870506ca, "usb_register_driver" },
	{ 0xd5aa1633, "__dev_kfree_skb_any" },
	{ 0xcbeb9547, "pskb_expand_head" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7a73f855, "register_netdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xebbae779, "usb_alloc_coherent" },
	{ 0x8625beb8, "usb_alloc_urb" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1ae2b3b9, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd89c5d41, "usb_reset_configuration" },
	{ 0x5f7c2f51, "__init_waitqueue_head" },
	{ 0xba46e593, "rt_mutex_base_init" },
	{ 0x7d80b2c7, "alloc_etherdev_mqs" },
	{ 0x52490f89, "__wake_up" },
	{ 0xb266a131, "netif_rx" },
	{ 0x13ea2f1b, "eth_type_trans" },
	{ 0x985e01ff, "skb_put" },
	{ 0xf4710826, "__netdev_alloc_skb" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb2c18171, "request_firmware" },
	{ 0x52917020, "netif_carrier_on" },
	{ 0xae0eb6a, "usb_autopm_get_interface" },
	{ 0x4d328d9f, "usb_autopm_put_interface" },
	{ 0x8c9c94b0, "__dynamic_dev_dbg" },
	{ 0x7e0e2ac1, "__dev_kfree_skb_irq" },
	{ 0x7d900070, "usb_control_msg" },
	{ 0xf158be83, "netif_tx_wake_queue" },
	{ 0xa988ec70, "usb_unlink_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8f07f220, "_dev_warn" },
	{ 0x8b7b2113, "__dynamic_netdev_dbg" },
	{ 0x96fb72f8, "free_netdev" },
	{ 0x58073430, "usb_free_coherent" },
	{ 0xa2a2a36d, "usb_free_urb" },
	{ 0xd85c32b2, "unregister_netdev" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9324d0b6, "usb_kill_urb" },
	{ 0xa8bebf72, "rt_spin_unlock" },
	{ 0x876c73ed, "rt_spin_lock" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x25c20a84, "_dev_err" },
	{ 0x9ce5fd97, "usb_submit_urb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "2D8AC00C5C7BE9D931AA5E8");

MODULE_INFO(suserelease, "SLE15-SP4");
