#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x300d80cf, "module_layout" },
	{ 0x11d3902b, "driver_unregister" },
	{ 0x499bd195, "uart_unregister_driver" },
	{ 0xa248bcd6, "i2c_del_driver" },
	{ 0xbc33a0db, "__spi_register_driver" },
	{ 0x489a89ca, "i2c_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x94665a6e, "uart_register_driver" },
	{ 0x9259b3cc, "__devm_regmap_init_i2c" },
	{ 0xbd35f7b2, "spi_get_device_id" },
	{ 0x542982cd, "__devm_regmap_init_spi" },
	{ 0xcc5d748e, "device_get_match_data" },
	{ 0x3f3524f4, "spi_setup" },
	{ 0x8c9c94b0, "__dynamic_dev_dbg" },
	{ 0xf7da4bdf, "devm_request_threaded_irq" },
	{ 0x926d7030, "uart_add_one_port" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe4035a19, "kthread_stop" },
	{ 0xb1a1d227, "gpiochip_remove" },
	{ 0x1d6e31c0, "uart_remove_one_port" },
	{ 0xce4200f1, "gpiochip_add_data_with_key" },
	{ 0xb8e7fc91, "sched_set_fifo" },
	{ 0x6a0760f6, "wake_up_process" },
	{ 0xc1f0ede3, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xa8a7ac44, "__kthread_init_worker" },
	{ 0xf2321f60, "__mutex_rt_init" },
	{ 0xba46e593, "rt_mutex_base_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xae7f5709, "devm_clk_get_optional" },
	{ 0x88618a12, "device_property_read_u32_array" },
	{ 0xa6721ce4, "devm_kmalloc" },
	{ 0xa8bebf72, "rt_spin_unlock" },
	{ 0x876c73ed, "rt_spin_lock" },
	{ 0xbe81773, "gpiochip_get_data" },
	{ 0xbea8460, "kthread_queue_work" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7be6aae9, "uart_update_timeout" },
	{ 0xccc98b5a, "uart_get_baud_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8f07f220, "_dev_warn" },
	{ 0xa09693b7, "do_SAK" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x713eb216, "tty_flip_buffer_push" },
	{ 0xcaac24a9, "uart_try_toggle_sysrq" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0xb89b8157, "uart_insert_char" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x562060f5, "regmap_raw_read" },
	{ 0x43b1ea9e, "mutex_unlock" },
	{ 0x83ac8f51, "mutex_lock" },
	{ 0x25c20a84, "_dev_err" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x272688fc, "uart_write_wakeup" },
	{ 0x3cfc6e57, "regmap_raw_write" },
	{ 0x8dff11f2, "regcache_cache_bypass" },
	{ 0xe238dd4a, "kthread_flush_worker" },
	{ 0x7bb1a327, "regmap_write" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xc5d09e0b, "regmap_read" },
	{ 0xb25c6a88, "regmap_update_bits_base" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "regmap-i2c,regmap-spi");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "1424FE907A91159D33BDE61");

MODULE_INFO(suserelease, "SLE15-SP4");
